AchievementTheLoneWizard = class(Turbine.UI.Control)
function AchievementTheLoneWizard:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.effectCallback = AddCallback(PlayerHandler, "PetInfo", function(args)
        if args.PetStatus then
            handler:Fail("The Lone Wizard", "Summoned a Pet", 0x410081FC)
        end
    end)
end

function AchievementTheLoneWizard:Unload()
    RemoveCallback(PlayerHandler, "PetInfo", self.effectCallback)
end